F-Secure SAFE for Mac Browsing Protection extension does not work with Firefox version 57

This discussion has a more recent version.

Symptoms

This issue affects F-Secure SAFE for Mac version 17.1 and earlier. The "Browser extension is missing" notification for Firefox persists even when you try to install it.

Diagnosis

Browsing Protection and Banking Protection features do not work on the latest Firefox version 57.

Solution

A fix is released on the week starting on November 27, 2017. If you've not yet received the update, you may temporarily use an earlier version of Firefox or switch to other supported browsers such as Safari or Chrome.

Sign In or Register to comment.